Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.primitives
Class Cylinder

    java.lang.Object
      threeD.raytracer.engine.AbstractSurface
          threeD.raytracer.primitives.Cylinder

All Implemented Interfaces:
  Surface

public class Cylinder
extends AbstractSurface

A Cylinder object represents a cylinder in 3d space.

Constructor Summary
`Cylinder()` Constructs a Cylinder object that represents a cylinder with a base radius of 1.0, centered at the origin, that is black.
`Cylinder(Vector location, double radius)` Constructs a Cylinder object that represents a cylinder with the specified base radius, and the specified location, that is black.
`Cylinder(Vector location, double radius, RGB color)` Constructs a Cylinder object that represents a cylinder with the specified base radius, location, and color.

Method Summary
`Vector` | `getNormalAt(Vector point)` Returns a Vector object that represents the vector normal to this cylinder at the point represented by the specified Vector object.
`boolean` | `intersect(Ray ray)` Returns true if the ray represented by the specified Ray object intersects the cylinder represented by this Cylinder object in real space.
`Intersection` | `intersectAt(Ray ray)` Returns an Intersection object representing the points along the ray represented by the specified Ray object that intersection between the ray and the cylinder represented by this Cylinder object occurs.

Methods inherited from class threeD.raytracer.engine.AbstractSurface
`addShader, addTexture, addTransform, calculateTransform, getColor, getColorAt, getLocation, getParent, getRotationCoefficients, getScaleCoefficients, getShadeBack, getShadeFront, getShaderSet, getSize, getTexture, getTextures, getTextureSet, getTransform, getTransform, getTransforms, removeTexture, removeTransform, setColor, setLocation, setParent, setRotationCoefficients, setScaleCoefficients, setShadeBack, setShadeFront, setShaders, setSize, setTexture, setTextures, setTransform, setTransforms, shade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cylinder

    public Cylinder()

  Constructs a Cylinder object that represents a cylinder with a base radius of 1.0, centered at the origin, that is black.

### Cylinder

    public Cylinder(Vector location,
                    double radius)

  Constructs a Cylinder object that represents a cylinder with the specified base radius, and the specified location, that is black.

### Cylinder

    public Cylinder(Vector location,
                    double radius,
                    RGB color)

  Constructs a Cylinder object that represents a cylinder with the specified base radius, location, and color.

Method Detail

### getNormalAt

    public Vector getNormalAt(Vector point)

  Returns a Vector object that represents the vector normal to this cylinder at the point represented by the specified Vector object.

### intersect

    public boolean intersect(Ray ray)

  Returns true if the ray represented by the specified Ray object intersects the cylinder represented by this Cylinder object in real space.

### intersectAt

    public Intersection intersectAt(Ray ray)

  Returns an Intersection object representing the points along the ray represented by the specified Ray object that intersection between the ray and the cylinder represented by this Cylinder object occurs.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray